*Table 1: Local determinants of conversions to Islam in 641-1200
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall

quietly reg nochurchmonast1200dum Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1200dum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using Table1.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Table 2: Local determinants of the poll tax rate in 641-1100

use "Dataset 2 - papyripolltax641–1100.dta", clear

label variable Kura_settlementdum "Arab settlement in 700--969"
label variable Kura_holy_family "Holy Family visit"

global MAINVARS Kura_settlementdum Kura_holy_family
		

mata: mata clear

*First: Test of differences
local i = 1

foreach var in $MAINVARS {
	reg polltax `var', vce(cluster Kura_Code)
	boottest `var', reps (999999) weight (webb) nograph
	local boot_pval: display %4.3f r(p)
	quietly estadd scalar boot_pval = `boot_pval'
    outreg, keep(`var') rtitle("`: var label `var''") stats(b) bdec(2) nostar addrows("", "(`boot_pval')") noautosumm store(row`i')
    outreg, replay(diff) append(row`i') ctitles("",Difference ) ///
        store(diff) note("")
    local ++i
}
outreg, replay(diff)

*Second: Summary statistics
mat sumstat = J(6,6,.)

local i = 1
foreach var in $MAINVARS {
    quietly: summarize polltax if `var'==0
    mat sumstat[`i',1] = r(N)
    mat sumstat[`i',2] = r(mean)
    mat sumstat[`i',3] = r(sd)
    quietly: summarize polltax if `var'==1
    mat sumstat[`i',4] = r(N)
    mat sumstat[`i',5] = r(mean)
    mat sumstat[`i',6] = r(sd)
    local i = `i' + 2
}
frmttable, statmat(sumstat) store(sumstat) sfmt(g,f,f,g,f,f)



outreg using "Table2.tex", ///
    replay(sumstat) merge(diff) tex nocenter note("") fragment plain replace ///
    ctitles("", =0, "", "", =1, "", "", "" \ "", N, Mean, SD, N, Mean, SD, Diff) ///
    multicol(1,2,3;1,5,3)




*Table 3: Local determinants of the total tax transfer in 1375
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reg ibraperfed1375 Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg ibraperfed1375 holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

quietly reg ibraperfed1375 Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using Table3.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)


	
	
*Table 4: Time-series determinants of poll tax hikes and conversion waves in 641-1170

use "Dataset 4 - Caliphs_641_1170.dta", clear

foreach outcome of varlist polltaxrise conversions{

local identitystrengthcal 1.caliph_pious_samehigh_hist
local calpiousnprevious caliph_pious_nprevious
local controlsext foreign_attacks nileshock
local timecal caliph_start_date_norm

quietly reg `outcome' `identitystrengthcal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' [aweight = caliph_nyears], lag(11)
estimates store reg1`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg1`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1`outcome'


quietly reg `outcome' `identitystrengthcal' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg2`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg2`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2`outcome'


quietly reg `outcome' `identitystrengthcal' `controlsext' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg3`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg3`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3`outcome'


quietly reg `outcome' `calpiousnprevious' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `calpiousnprevious' [aweight = caliph_nyears], lag(11)
estimates store reg4`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg4`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4`outcome'

quietly reg `outcome' `calpiousnprevious' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `calpiousnprevious' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg5`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg5`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5`outcome'


quietly reg `outcome' `calpiousnprevious' `controlsext' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `calpiousnprevious' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg6`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg6`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6`outcome'


quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' [aweight = caliph_nyears], lag(11)
estimates store reg7`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg7`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg7`outcome'

quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg8`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg8`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg8`outcome'

quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' `controlsext' `timecal'  [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg9`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg9`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg9`outcome'

}


esttab reg1polltaxrise reg2polltaxrise reg3polltaxrise reg4polltaxrise reg5polltaxrise reg6polltaxrise reg7polltaxrise reg8polltaxrise reg9polltaxrise using Table4a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (Caliphs)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.caliph_pious_samehigh_hist caliph_pious_nprevious caliph_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.caliph_pious_samehigh_hist "=1 if Caliph pious (\$\hat{c}_t\$)" ///
caliph_pious_nprevious "No. previous pious Caliphs (\$n^c_{t-1}\$)" ///
caliph_start_date_norm "Caliph's start year") ///
order(1.caliph_pious_samehigh_hist caliph_pious_nprevious caliph_start_date_norm) 


esttab reg1conversions reg2conversions reg3conversions reg4conversions reg5conversions reg6conversions reg7conversions reg8conversions reg9conversions using Table4b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (Caliphs)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.caliph_pious_samehigh_hist caliph_pious_nprevious caliph_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.caliph_pious_samehigh_hist "=1 if Caliph pious (\$\hat{c}_t\$)" ///
caliph_pious_nprevious "No. previous pious Caliphs (\$n^c_{t-1}\$)" ///
caliph_start_date_norm "Caliph's start year") ///
order(1.caliph_pious_samehigh_hist caliph_pious_nprevious caliph_start_date_norm) 

