*Figure B1: Cross-sectional spatial heterogeneity in determinants and outcomes

*Panel (A): =1 if Arab settlement in 700-969

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap Kura_settlementdum using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(2) ocolor(gs10 gs0) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs0) ndlab("Missing") ///
legend(on size(*2)) title("A. =1 if Arab settlement in 700-969") graphregion(color(white))
graph save FigureB1a.gph, replace
graph export FigureB1a.eps, replace 


*Panel (B): =1 if Holy Family visit

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap holy_family using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(2) ocolor(gs10 gs0) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs0) ndlab("Missing") ///
legend(on size(*2)) title("B. =1 if Holy Family visit") graphregion(color(white))
graph save FigureB1b.gph, replace
graph export FigureB1b.eps, replace


*Panel (C): =1 if no Coptic church or monastery in 1200

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap nochurchmonast1200dum using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(2) ocolor(gs10 gs0) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs0) ndlab("Missing") ///
legend(on size(*2)) title("C. =1 if no Coptic church or monastery in 1200") graphregion(color(white))
graph save FigureB1c.gph, replace
graph export FigureB1c.eps, replace 


*Panel (D): Poll tax in 641-1100

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap Kura_polltax_rank using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(4) ocolor(gs10 gs8 gs6 gs4) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs8 gs6 gs4) ndlab("Missing") ///
legend(on size(*2)) title("D. Average poll tax in 641-1100") graphregion(color(white))
graph save FigureB1d.gph, replace
graph export FigureB1d.eps, replace 


*Panel (E): Imputed poll tax revenue in 1200

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap Kura_polltaxrevenue_rank using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(4) ocolor(gs10 gs8 gs6 gs4) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs8 gs6 gs4) ndlab("Missing") ///
legend(on size(*2)) title("E. Imputed poll tax revenue in 1200") graphregion(color(white))
graph save FigureB1e.gph, replace
graph export FigureB1e.eps, replace 


*Panel (F): Total tax revenue in 1375

use "Dataset 6 - cadastre1315_Map.dta", clear

spmap ibraperfed1375_Q using "Dataset 7 - EGY_Subdistricts_coord.dta", ///
id(_ID) clnumber(4) ocolor(gs10 gs8 gs4 gs0) clmethod(unique) ndfcolor(white) ///
ndocolor(gs12) fcolor(gs10 gs8 gs4  gs0) ndlab("Missing") ///
legend(on size(*2)) title("F. Total tax revenue in 1375") graphregion(color(white))
graph save FigureB1f.gph, replace
graph export FigureB1f.eps, replace 


*Figure B2: Poll tax hikes and conversion waves in 641-1170

use "Dataset 8 - longtermtrendoutcomes.dta", clear

twoway (bar polltaxrise year) (lowess polltaxrise year), ///
graphregion(color(white)) ///
ylabel(0 1, nogrid) xlabel(600 (50) 1200, angle(45)) xtitle("Year") ytitle("=1 if poll tax rises") xline(750 868 969) ///
legend(label(1 "Observed") label(2 "Lowess smoothing curve"))
graph save FigureB2a, replace
graph export FigureB2a.eps, replace

twoway (bar conversions year) (lowess conversions year), ///
graphregion(color(white)) ///
ylabel(0 1, nogrid) xlabel(600 (50) 1200, angle(45)) xtitle("Year") ytitle("=1 if conversion wave") xline(750 868 969) ///
legend(label(1 "Observed") label(2 "Lowess smoothing curve"))
graph save FigureB2b, replace
graph export FigureB2b.eps, replace


*Figure B3: Total poll and land tax revenues in 641-1170

use "Dataset 9 - longtermtrendtaxrevenue.dta", clear

twoway (scatter totalpolltax1000dinars year, mcolor(black) msymbol(circle) connect(line) lcolor(black) lpattern(solid)) (scatter totallandtax1000dinars year, mcolor(black) msymbol(triangle) connect(line) lcolor(black) lpattern(longdash)), ///
graphregion(color(white)) legend(order(1 "Poll tax" 2 "Land tax")) ylabel(, nogrid) xlabel(600 (50) 1200, angle(45)) xtitle("Year") ytitle("Tax revenue in 1,000 dinars")
graph save FigureB3, replace
graph export FigureB3.eps, replace
