*Figure D2: Histogram of individual poll tax payments by kura in 641--1100
 
use "Dataset 2 - papyripolltax641–1100.dta", clear

encode Kura_Name, gen(Kura_NameNum)
label define Kura_NameNum1 1 "Ihnas, N = 10, Mean = 1.35" 2 "Ashmunayn, N = 77, Mean = 1.36" 3 "Fayum, N = 7, Mean = 1.34" 4 "Qahqawa, N = 314, Mean = 1.07" 
label values Kura_NameNum Kura_NameNum1

histogram polltax if Kura_NameNum == 1, freq kdensity title("Ihnas, N = 10, Mean = 1.35")
graph save polltaxhist1.gph, replace
histogram polltax if Kura_NameNum == 2, freq kdensity title("Hermopolis, N = 77, Mean = 1.36")
graph save polltaxhist2.gph, replace
histogram polltax if Kura_NameNum == 3, freq kdensity title("Fayum, N = 7, Mean = 1.34")
graph save polltaxhist3.gph, replace
histogram polltax if Kura_NameNum == 4, freq kdensity title("Aphrodito, N = 314, Mean = 1.07")
graph save polltaxhist4.gph, replace

graph combine polltaxhist1.gph polltaxhist2.gph polltaxhist3.gph polltaxhist4.gph
graph export FigureD2.eps, replace



*Figure D3: Central authority's identity strength in 641--1170

use "Dataset 8 - longtermtrendoutcomes.dta", clear

twoway (bar governor_hostile year) (lowess governor_hostile year), ///
graphregion(color(white)) ///
ylabel(0 1, nogrid) xlabel(600 (50) 1200, angle(45)) xtitle("Year") ytitle("=1 if governor hostile to non-converts") xline(750 868 969) ///
legend(label(1 "Observed") label(2 "Lowess smoothing curve"))
graph save FigureD3a, replace
graph export FigureD3a.eps, replace

twoway (bar caliph_pious year) (lowess caliph_pious year), ///
graphregion(color(white)) ///
ylabel(0 1, nogrid) xlabel(600 (50) 1200, angle(45)) xtitle("Year") ytitle("=1 if Caliph does not drink alcohol") xline(750 868 969) ///
legend(label(1 "Observed") label(2 "Lowess smoothing curve"))
graph save FigureD3b, replace
graph export FigureD3b.eps, replace


