********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************


*Table D3: Local determinants of conversions to Islam in 641–1200: Amélineau's Byzantine-period villages only
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

keep if amelineau_village == 1

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall

quietly reg nochurchmonast1200dum Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1200dum holy_family, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

quietly reg nochurchmonast1200dum Kura_settlementdum holy_family, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD3a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)


*Panel (b): Region fixed effects

use "Dataset 1 - cadastre1315.dta", clear

keep if amelineau_village == 1

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1200dum Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1200dum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD3b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)




*Table D4: Local determinants of conversions to Islam: Alternative measure of F_ji in 1848--1868
*Dependent variable: =1 if Coptic Christian in 1848–1868

*Panel (a): No fixed effects

use "Dataset 3 - 1848_1868_population_census_samples_restricted.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg copt Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg copt holy_family, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg copt Kura_settlementdum holy_family, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg copt Kura_settlementdum holy_family `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg copt Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD4a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (individuals)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Panel (b): Region fixed effects

use "Dataset 3 - 1848_1868_population_census_samples_restricted.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall

quietly reg copt Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg copt holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg copt Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg copt Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg copt Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 copt (Kura_settlementdum = DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum copt if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD4b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (individuals)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Table D5: Local determinants of conversions to Islam: Alternative measure of F_ji circa 1500
*Dependent variable: =1 if no Coptic church or monastery circa 1500

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1500dum Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1500dum holy_family, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD5a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Panel (b): Region fixed effects


use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1500dum Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1500dum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1500dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1500dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1500dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD5b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Table D6: Local determinants of conversions to Islam in 641–1200: Alternative measure of r_ji
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable saint_martyr "=1 if saint-martyr (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1200dum Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1200dum saint_martyr, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if saint_martyr == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD6a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum saint_martyr) substitute(\_ _)



*Panel (b): Region fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable saint_martyr "=1 if saint-martyr (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall

quietly reg nochurchmonast1200dum Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg nochurchmonast1200dum saint_martyr i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if saint_martyr == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly reg nochurchmonast1200dum Kura_settlementdum saint_martyr `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD6b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum saint_martyr) substitute(\_ _)



*Table D7: Local determinants of conversions to Islam in 641–1200: Interaction of c_i and r_ji
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols', cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family, first savefirst savefprefix(reg4) cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols', first savefirst savefprefix(reg5) cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg6) cluster(Kura_Code)
estimates store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6


esttab reg1 reg2 reg3 reg4 reg5 reg6 using TableD7a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes mtitles("OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family settlementholyfamily) ///
coeflabel(Kura_settlementdum "=1 if Arab settlement (\$c_i\$)" holy_family "=1 if HF visit (\$r_{ji}\$)" settlementholyfamily "\$c_i\$ \$\times\$ \$r_{ji}\$") substitute(\_ _) 



*Panel (b): Region fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family i.Kura_Region, first savefirst savefprefix(reg4) cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg5) cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)
estimates store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6


esttab reg1 reg2 reg3 reg4 reg5 reg6 using TableD7b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes mtitles("OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family settlementholyfamily) ///
coeflabel(Kura_settlementdum "=1 if Arab settlement (\$c_i\$)" holy_family "=1 if HF visit (\$r_{ji}\$)" settlementholyfamily "\$c_i\$ \$\times\$ \$r_{ji}\$") substitute(\_ _) 



*Table: Local determinants of conversions to Islam in 641–1200: Control for pre-641 land inequality
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
label variable Kura_Autopract "=1 if \textit{autopract} c. 600"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


quietly reg nochurchmonast1200dum Kura_settlementdum Kura_Autopract, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1


quietly reg nochurchmonast1200dum holy_family Kura_Autopract, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg nochurchmonast1200dum Kura_settlementdum holy_family Kura_Autopract, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly reg nochurchmonast1200dum Kura_settlementdum holy_family Kura_Autopract `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4

quietly reg nochurchmonast1200dum Kura_settlementdum holy_family Kura_Autopract `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish) Kura_Autopract, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish) holy_family Kura_Autopract, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish) holy_family Kura_Autopract `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8

quietly ivreg2 nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish) holy_family Kura_Autopract `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg9) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD8.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family Kura_Autopract) substitute(\_ _) 



*Table D9: Local determinants of conversions to Islam in 641–1200: Spatial-autoregressive model with spatial-autoregressive errors
*Dependent variable: =1 if no Coptic church or monastery in village j circa 1200

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

drop if longy == . | latx == .
bysort longy latx: keep if _n == 1


label variable nochurchmonast1200dum "=1 if no church in 1200"
label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

spmat idistance WMat longy latx, id(code_1897n) replace

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


spreg  gs2sls nochurchmonast1200dum Kura_settlementdum, id(code_1897n)  dlmat(WMat) 
estimates store reg1
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

spreg  gs2sls nochurchmonast1200dum holy_family, id(code_1897n)  dlmat(WMat) 
estimates store reg2
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family, id(code_1897n)  dlmat(WMat) 
estimates store reg3
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols', id(code_1897n)  dlmat(WMat) 
estimates store reg4
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols', id(code_1897n)  dlmat(WMat) 
estimates store reg5
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), id(code_1897n)  dlmat(WMat) 
est store reg6
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, id(code_1897n)  dlmat(WMat) 
est store reg7
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', id(code_1897n)  dlmat(WMat) 
est store reg8
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols', id(code_1897n)  dlmat(WMat) 
est store reg9
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD9a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs meany, fmt(0 2) label ("Obs (villages)" "Mean dep. var. in control")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Panel (b): Region fixed effects

use "Dataset 1 - cadastre1315.dta", clear

drop if longy == . | latx == .
bysort longy latx: keep if _n == 1

label variable nochurchmonast1200dum "=1 if no church in 1200"
label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

spmat idistance WMat longy latx, id(code_1897n) replace

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall


xi: spreg  gs2sls nochurchmonast1200dum Kura_settlementdum i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg1
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

xi: spreg  gs2sls nochurchmonast1200dum holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg2
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

xi: spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg3
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


xi: spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg4
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


xi: spreg  gs2sls nochurchmonast1200dum Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg5
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


xi: spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg6
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

xi: spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg7
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

xi: spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg8
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


xi: spivreg nochurchmonast1200dum (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg9
quietly estadd scalar Obs = e(N)
quietly sum nochurchmonast1200dum if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD9b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = _IKura_Regi_*" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs meany, fmt(0 2) label ("Obs (villages)" "Mean dep. var. in control")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)




*Table: Local determinants of the total tax transfer: Measuring total tax transfer in 1477
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1477

*Panel (a): No fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
 
local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reg ibraperfed1477 Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg ibraperfed1477 holy_family, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg ibraperfed1477 Kura_settlementdum holy_family, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly reg ibraperfed1477 Kura_settlementdum holy_family `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4

quietly reg ibraperfed1477 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol', first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9

esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD10a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)


*Panel (b): Region fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
 
local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reg ibraperfed1477 Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1fe

quietly reg ibraperfed1477 holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg2fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2fe


quietly reg ibraperfed1477 Kura_settlementdum holy_family i.Kura_Region, cluster(Kura_Code)
estimates store reg3fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3fe

quietly reg ibraperfed1477 Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4fe

quietly reg ibraperfed1477 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, cluster(Kura_Code)
estimates store reg5fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5fe

quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6fe


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7fe


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8fe


quietly ivreg2 ibraperfed1477 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1477 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9fe


esttab reg1fe reg2fe reg3fe reg4fe reg5fe reg6fe reg7fe reg8fe reg9fe using TableD10b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Table D11: Local determinants of the total tax transfer in 1375: Alternative measure of r_ji
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1477

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable saint_martyr "=1 if saint-martyr (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed


quietly reg ibraperfed1375 Kura_settlementdum, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg ibraperfed1375 saint_martyr, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg ibraperfed1375 Kura_settlementdum saint_martyr, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly reg ibraperfed1375 Kura_settlementdum saint_martyr `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4

quietly reg ibraperfed1375 Kura_settlementdum saint_martyr `byzantinecontrols' `geographiccontrols' `popcontrol', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' `geographiccontrols' `popcontrol', first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9

esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD11a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum saint_martyr) substitute(\_ _)


*Panel (b): Region fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable saint_martyr "=1 if saint-martyr (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed


quietly reg ibraperfed1375 Kura_settlementdum i.Kura_Region, cluster(Kura_Code)
estimates store reg1fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1fe

quietly reg ibraperfed1375 saint_martyr i.Kura_Region, cluster(Kura_Code)
estimates store reg2fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2fe


quietly reg ibraperfed1375 Kura_settlementdum saint_martyr i.Kura_Region, cluster(Kura_Code)
estimates store reg3fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3fe

quietly reg ibraperfed1375 Kura_settlementdum saint_martyr `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4fe

quietly reg ibraperfed1375 Kura_settlementdum saint_martyr `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, cluster(Kura_Code)
estimates store reg5fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5fe

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) saint_martyr `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9fe


esttab reg1fe reg2fe reg3fe reg4fe reg5fe reg6fe reg7fe reg8fe reg9fe using TableD11b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum saint_martyr) substitute(\_ _)



*Table: Local determinants of the total tax transfer in 1375: Province fixed effects
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1375

*Panel (a): One-way clustering by kura
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
 
local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed


quietly reg ibraperfed1375 Kura_settlementdum i.province_1315, cluster(Kura_Code)
estimates store reg1fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1fe

quietly reg ibraperfed1375 holy_family i.province_1315, cluster(Kura_Code)
estimates store reg2fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2fe


quietly reg ibraperfed1375 Kura_settlementdum holy_family i.province_1315, cluster(Kura_Code)
estimates store reg3fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3fe

quietly reg ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' i.province_1315, cluster(Kura_Code)
estimates store reg4fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4fe

quietly reg ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.province_1315, cluster(Kura_Code)
estimates store reg5fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5fe

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.province_1315, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.province_1315, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.province_1315, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.province_1315, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9fe


esttab reg1fe reg2fe reg3fe reg4fe reg5fe reg6fe reg7fe reg8fe reg9fe using TableD12a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Province FE? = *.province_1315" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Panel (b): Two-way clustering by both kura and province
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
 
local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reghdfe ibraperfed1375 Kura_settlementdum i.province_1315, noabsorb cluster(Kura_Code province_1315)
estimates store reg1fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1fe

quietly reghdfe ibraperfed1375 holy_family i.province_1315, noabsorb cluster(Kura_Code province_1315)
estimates store reg2fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2fe


quietly reghdfe ibraperfed1375 Kura_settlementdum holy_family i.province_1315, noabsorb cluster(Kura_Code province_1315)
estimates store reg3fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3fe

quietly reghdfe ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' i.province_1315, noabsorb cluster(Kura_Code province_1315)
estimates store reg4fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4fe

quietly reghdfe ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.province_1315, noabsorb cluster(Kura_Code province_1315)
estimates store reg5fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5fe

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.province_1315, first savefirst savefprefix(reg6) cluster(Kura_Code province_1315)

est store reg6fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.province_1315, first savefirst savefprefix(reg7) cluster(Kura_Code province_1315)

est store reg7fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.province_1315, first savefirst savefprefix(reg8) cluster(Kura_Code province_1315)

est store reg8fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.province_1315, first savefirst savefprefix(reg1) cluster(Kura_Code province_1315)

est store reg9fe
quietly estadd scalar Clusters1 = e(N_clust1)
quietly estadd scalar Clusters2 = e(N_clust2)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9fe


esttab reg1fe reg2fe reg3fe reg4fe reg5fe reg6fe reg7fe reg8fe reg9fe using TableD12b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Province FE? = *.province_1315" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters1 Clusters2 R2 meany KP_Wald_Fstat, fmt(0 0 0 2 2 2) label ("Obs (villages)" "Cluster 1 (\textit{kuras})" "Cluster 2 (provinces)" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)



*Table: Local determinants of the total tax transfer in 1375: Interaction of c_i and r_ji
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1375

*Panel (a): No fixed effects

use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1


quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols', cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' `geographiccontrols', cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family, first savefirst savefprefix(reg4) cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols', first savefirst savefprefix(reg5) cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' `geographiccontrols', first savefirst savefprefix(reg6) cluster(Kura_Code)
estimates store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6


esttab reg1 reg2 reg3 reg4 reg5 reg6 using TableD13a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes mtitles("OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family settlementholyfamily) ///
coeflabel(Kura_settlementdum "=1 if Arab settlement (\$c_i\$)" holy_family "=1 if HF visit (\$r_{ji}\$)" settlementholyfamily "\$c_i\$ \$\times\$ \$r_{ji}\$") substitute(\_ _) 


*Panel (b): Region fixed effects

quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily i.Kura_Region, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1


quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg ibraperfed1375 Kura_settlementdum holy_family settlementholyfamily `byzantinecontrols' `geographiccontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family i.Kura_Region, first savefirst savefprefix(reg4) cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg5) cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


quietly ivreg2 ibraperfed1375 (Kura_settlementdum settlementholyfamily = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert interaction1 interaction2 interaction3) holy_family `byzantinecontrols' `geographiccontrols' i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)
estimates store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6


esttab reg1 reg2 reg3 reg4 reg5 reg6 using TableD13b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes mtitles("OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family settlementholyfamily) ///
coeflabel(Kura_settlementdum "=1 if Arab settlement (\$c_i\$)" holy_family "=1 if HF visit (\$r_{ji}\$)" settlementholyfamily "\$c_i\$ \$\times\$ \$r_{ji}\$") substitute(\_ _) 



*Table D14: Local determinants of the total tax transfer in 1375: Control for Mamluk LAs
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1375

*Panel (a): No fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
label variable taxcontractortopofficial1375 "=1 if LA in 1375 Mamluk"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed


quietly reg ibraperfed1375 Kura_settlementdum taxcontractortopofficial1375, cluster(Kura_Code)
estimates store reg1
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

quietly reg ibraperfed1375 holy_family taxcontractortopofficial1375, cluster(Kura_Code)
estimates store reg2
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2


quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375, cluster(Kura_Code)
estimates store reg3
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3

quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375 `byzantinecontrols', cluster(Kura_Code)
estimates store reg4
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4

quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375 `byzantinecontrols' `geographiccontrols' `popcontrol', cluster(Kura_Code)
estimates store reg5
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) taxcontractortopofficial1375, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375 `byzantinecontrols', first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375 `byzantinecontrols' `geographiccontrols' `popcontrol', first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9

esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD14a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family taxcontractortopofficial1375) substitute(\_ _)


*Panel (b): Region fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"
label variable taxcontractortopofficial1375 "=1 if LA in 1375 Mamluk"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

quietly reg ibraperfed1375 Kura_settlementdum taxcontractortopofficial1375 i.Kura_Region, cluster(Kura_Code)
estimates store reg1fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1fe

quietly reg ibraperfed1375 holy_family taxcontractortopofficial1375 i.Kura_Region, cluster(Kura_Code)
estimates store reg2fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2fe


quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375 i.Kura_Region, cluster(Kura_Code)
estimates store reg3fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3fe

quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375 `byzantinecontrols' i.Kura_Region, cluster(Kura_Code)
estimates store reg4fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4fe

quietly reg ibraperfed1375 Kura_settlementdum holy_family taxcontractortopofficial1375 `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, cluster(Kura_Code)
estimates store reg5fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5fe

quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) taxcontractortopofficial1375 i.Kura_Region, first savefirst savefprefix(reg6) cluster(Kura_Code)

est store reg6fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375 i.Kura_Region, first savefirst savefprefix(reg7) cluster(Kura_Code)

est store reg7fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375 `byzantinecontrols' i.Kura_Region, first savefirst savefprefix(reg8) cluster(Kura_Code)

est store reg8fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8fe


quietly ivreg2 ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family taxcontractortopofficial1375 `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, first savefirst savefprefix(reg1) cluster(Kura_Code)

est store reg9fe
quietly estadd scalar Clusters = e(N_clust)
quietly estadd scalar Obs = e(N)
quietly estadd scalar R2 = e(r2)
quietly estadd scalar KP_Wald_Fstat=e(widstat)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9fe


esttab reg1fe reg2fe reg3fe reg4fe reg5fe reg6fe reg7fe reg8fe reg9fe using TableD14b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = *.Kura_Region" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs Clusters R2 meany KP_Wald_Fstat, fmt(0 0 2 2 2) label ("Obs (villages)" "Clusters (\textit{kuras})" "\$R^2\$" "Mean dep. var. in control" "KP Wald \$F\$-stat")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family taxcontractortopofficial1375) substitute(\_ _)



*Table D15: Local determinants of the total tax transfer in 1375: Spatial-autoregressive model with spatial-autoregressive errors
*Dependent variable: Tax transfer (ibra) in army dinars per unit of land in 1375

*Panel (a): No fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

drop if longy == . | latx == .
drop if ibraperfed1375 == . | Kura_settlementdum == . | holy_family== . | Kura_urbanpop300 == . | Kura_military600 == . |  mean_cereals_index == . | mean_tempmean == . |  mean_temprange == . | mean_slope == . | mean_rainfall == . | pop1897perfed == . |  province_1315 == .
bysort longy latx: keep if _n == 1

label variable ibraperfed1375 "Tax transfer in 1375"
label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

spmat idistance WMat longy latx, id(code_1897n) replace

spreg  gs2sls ibraperfed1375 Kura_settlementdum, id(code_1897n)  dlmat(WMat) 
estimates store reg1
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

spreg  gs2sls ibraperfed1375 holy_family, id(code_1897n)  dlmat(WMat) 
estimates store reg2
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family, id(code_1897n)  dlmat(WMat) 
estimates store reg3
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols', id(code_1897n)  dlmat(WMat) 
estimates store reg4
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol', id(code_1897n)  dlmat(WMat) 
estimates store reg5
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert), id(code_1897n)  dlmat(WMat) 
est store reg6
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family, id(code_1897n)  dlmat(WMat) 
est store reg7
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols', id(code_1897n)  dlmat(WMat) 
est store reg8
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol', id(code_1897n)  dlmat(WMat) 
est store reg9
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD15a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs meany, fmt(0 2) label ("Obs (villages)" "Mean dep. var. in control")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)


*Panel (b): Region fixed effects
 
use "Dataset 1 - cadastre1315.dta", clear

drop if longy == . | latx == .
drop if ibraperfed1375 == . | Kura_settlementdum == . | holy_family== . | Kura_urbanpop300 == . | Kura_military600 == . |  mean_cereals_index == . | mean_tempmean == . |  mean_temprange == . | mean_slope == . | mean_rainfall == . | pop1897perfed == . |  province_1315 == .
bysort longy latx: keep if _n == 1

label variable ibraperfed1375 "Tax transfer in 1375"
label variable Kura_settlementdum "=1 if Arab settlement (\$c_i\$)"
label variable holy_family "=1 if HF visit (\$r_{ji}\$)"

local byzantinecontrols Kura_urbanpop300 Kura_military600
local geographiccontrols mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall
local popcontrol pop1897perfed

spmat idistance WMat longy latx, id(code_1897n) replace


xi: spreg  gs2sls ibraperfed1375 Kura_settlementdum i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg1
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1

xi: spreg  gs2sls ibraperfed1375 holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg2
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if holy_family == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2

xi: spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg3
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3


xi: spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg4
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4


xi: spreg  gs2sls ibraperfed1375 Kura_settlementdum holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
estimates store reg5
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5


xi: spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg6
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg6

xi: spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg7
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg7

xi: spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg8
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg8


xi: spivreg ibraperfed1375 (Kura_settlementdum = Kura_DistancetoArish Kura_borderdesert Kura_distarishborddesert) holy_family `byzantinecontrols' `geographiccontrols' `popcontrol' i.Kura_Region, id(code_1897n)  dlmat(WMat) 
est store reg9
quietly estadd scalar Obs = e(N)
quietly sum ibraperfed1375 if Kura_settlementdum == 0
local meany = r(mean)
quietly estadd scalar meany = `meany'
est store reg9


esttab reg1 reg2 reg3 reg4 reg5 reg6 reg7 reg8 reg9 using TableD15b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
indicate("Region FE? = _IKura_Regi_*" "Byzantine controls? = Kura_urbanpop300 Kura_military600" "Geographic controls? = mean_cereals_index mean_tempmean mean_temprange mean_slope mean_rainfall" "Population per unit of land? = pop1897perfed") ///
stats(Obs meany, fmt(0 2) label ("Obs (villages)" "Mean dep. var. in control")) label se nonotes ///
mtitles("OLS" "OLS" "OLS" "OLS" "OLS" "2SLS" "2SLS" "2SLS" "2SLS") ///
order(Kura_settlementdum holy_family) substitute(\_ _)




*Table D16: Time-series determinants of poll tax hikes and conversion waves in 641--1170: Governor-level regressions

use "Dataset 5 - Governors_641_1170.dta", clear

foreach outcome of varlist polltaxrise conversions{

local identitystrengthgov 1.gov_hostile_samehigh_hist
local govhostilenprevious gov_hostile_nprevious
local controlsext foreign_attacks nileshock
local timecal gov_start_date_norm


quietly reg `outcome' `identitystrengthgov' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' [aweight = governor_nyears], lag(15)
estimates store reg1`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg1`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1`outcome'


quietly reg `outcome' `identitystrengthgov' `timecal' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg2`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg2`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2`outcome'


quietly reg `outcome' `identitystrengthgov' `controlsext' `timecal' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' `controlsext' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg3`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg3`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3`outcome'


quietly reg `outcome' `govhostilenprevious' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `govhostilenprevious' [aweight = governor_nyears], lag(15)
estimates store reg4`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg4`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4`outcome'

quietly reg `outcome' `govhostilenprevious' `timecal' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `govhostilenprevious' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg5`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg5`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5`outcome'


quietly reg `outcome' `govhostilenprevious' `controlsext' `timecal' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `govhostilenprevious' `controlsext' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg6`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg6`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6`outcome'


quietly reg `outcome' `identitystrengthgov' `govhostilenprevious' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' `govhostilenprevious' [aweight = governor_nyears], lag(15)
estimates store reg7`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg7`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg7`outcome'

quietly reg `outcome' `identitystrengthgov' `govhostilenprevious' `timecal' [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' `govhostilenprevious' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg8`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg8`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg8`outcome'

quietly reg `outcome' `identitystrengthgov' `govhostilenprevious' `controlsext' `timecal'  [aweight = governor_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthgov' `govhostilenprevious' `controlsext' `timecal' [aweight = governor_nyears], lag(15)
estimates store reg9`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg9`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg9`outcome'

}


esttab reg1polltaxrise reg2polltaxrise reg3polltaxrise reg4polltaxrise reg5polltaxrise reg6polltaxrise reg7polltaxrise reg8polltaxrise reg9polltaxrise using TableD16a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (governors)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.gov_hostile_samehigh_hist gov_hostile_nprevious gov_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.gov_hostile_samehigh_hist "=1 if governor hostile (\$\hat{c}_t\$)" ///
gov_hostile_nprevious "No. previous hostile gov. (\$n^c_{t-1}\$)" ///
gov_start_date_norm "Governor's start year") ///
order(1.gov_hostile_samehigh_hist gov_hostile_nprevious gov_start_date_norm) 


esttab reg1conversions reg2conversions reg3conversions reg4conversions reg5conversions reg6conversions reg7conversions reg8conversions reg9conversions using TableD16b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (governors)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.gov_hostile_samehigh_hist gov_hostile_nprevious gov_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.gov_hostile_samehigh_hist "=1 if governor hostile (\$\hat{c}_t\$)" ///
gov_hostile_nprevious "No. previous hostile gov. (\$n^c_{t-1}\$)" ///
gov_start_date_norm "Governor's start year") ///
order(1.gov_hostile_samehigh_hist gov_hostile_nprevious gov_start_date_norm) 


*Table D17: Time-series determinants of poll tax hikes and conversion waves in 641--1170: Caliph-level regressions controlling for the number of previous poll tax hikes

use "Dataset 4 - Caliphs_641_1170.dta", clear

foreach outcome of varlist polltaxrise conversions{

local identitystrengthcal 1.caliph_pious_samehigh_hist
local caltaxrisehist cal_taxrise_nprevious
local controlsext foreign_attacks nileshock
local timecal caliph_start_date_norm


quietly reg `outcome' `identitystrengthcal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' [aweight = caliph_nyears], lag(11)
estimates store reg1`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg1`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg1`outcome'


quietly reg `outcome' `identitystrengthcal' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg2`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg2`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg2`outcome'


quietly reg `outcome' `identitystrengthcal' `controlsext' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg3`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg3`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg3`outcome'


quietly reg `outcome' `caltaxrisehist' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `caltaxrisehist' [aweight = caliph_nyears], lag(11)
estimates store reg4`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg4`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg4`outcome'

quietly reg `outcome' `caltaxrisehist' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `caltaxrisehist' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg5`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg5`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg5`outcome'


quietly reg `outcome' `caltaxrisehist' `controlsext' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `caltaxrisehist' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg6`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 530
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg6`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg6`outcome'


quietly reg `outcome' `identitystrengthcal' `caltaxrisehist' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `caltaxrisehist' [aweight = caliph_nyears], lag(11)
estimates store reg7`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg7`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg7`outcome'

quietly reg `outcome' `identitystrengthcal' `caltaxrisehist' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `caltaxrisehist' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg8`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg8`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg8`outcome'

quietly reg `outcome' `identitystrengthcal' `caltaxrisehist' `controlsext' `timecal'  [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `caltaxrisehist' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg9`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg9`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg9`outcome'

}



esttab reg1polltaxrise reg2polltaxrise reg3polltaxrise reg4polltaxrise reg5polltaxrise reg6polltaxrise reg7polltaxrise reg8polltaxrise reg9polltaxrise using TableD17a.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (Caliphs)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.caliph_pious_samehigh_hist cal_taxrise_nprevious caliph_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.caliph_pious_samehigh_hist "=1 if Caliph pious (\$\hat{c}_t\$)" ///
cal_taxrise_nprevious "No. previous poll tax hikes" ///
caliph_start_date_norm "Caliph's start year") ///
order(1.caliph_pious_samehigh_hist cal_taxrise_nprevious caliph_start_date_norm) 


esttab reg1conversions reg2conversions reg3conversions reg4conversions reg5conversions reg6conversions reg7conversions reg8conversions reg9conversions using TableD17b.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (Caliphs)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
keep(1.caliph_pious_samehigh_hist cal_taxrise_nprevious caliph_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.caliph_pious_samehigh_hist "=1 if Caliph pious (\$\hat{c}_t\$)" ///
cal_taxrise_nprevious "No. previous poll tax hikes" ///
caliph_start_date_norm "Caliph's start year") ///
order(1.caliph_pious_samehigh_hist cal_taxrise_nprevious caliph_start_date_norm) 



*Table D18: Time-series determinants of poll tax hikes and conversion waves in 641--1170: Interaction of c_t and n^c_{t-1}

use "Dataset 4 - Caliphs_641_1170.dta", clear


foreach outcome of varlist polltaxrise conversions{

local identitystrengthcal 1.caliph_pious_samehigh_hist
local calpiousnprevious caliph_pious_nprevious
local interaction interaction
local controlsext foreign_attacks nileshock
local timecal caliph_start_date_norm


quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' [aweight = caliph_nyears], lag(11)
estimates store reg7`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg7`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg7`outcome'

quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' `timecal' [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg8`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg8`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg8`outcome'

quietly reg `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' `controlsext' `timecal'  [aweight = caliph_nyears]
local rsquared = e(r2)
quietly estat bgodfrey, lags(11)
local bgpvalue = r(p)[1,1]
quietly newey `outcome' `identitystrengthcal' `calpiousnprevious' `interaction' `controlsext' `timecal' [aweight = caliph_nyears], lag(11)
estimates store reg9`outcome'
quietly estadd scalar Obs = e(N)
quietly estadd scalar Years = 526
quietly estadd scalar R2 = `rsquared'
quietly estadd scalar bgpvalue = `bgpvalue'
estimates store reg9`outcome'
quietly sum `outcome'
local meany = r(mean)
quietly estadd scalar meany = `meany'
estimates store reg9`outcome'

}



esttab reg7polltaxrise reg8polltaxrise reg9polltaxrise reg7conversions reg8conversions reg9conversions using TableD18.tex, replace booktabs nogaps noconstant ///
cells(b(fmt(2)) se(fmt(2) star par)) collabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
stats(Obs Years R2 bgpvalue meany, fmt(0 0 2 2 2) label ("Obs (Caliphs)" "Years" "\$R^2\$" "\$p\$-value (Breusch–Godfrey test)" "Mean dep. var.")) label se nonotes ///
mgroups("=1 if poll tax hike" "=1 if conversion wave", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
keep(1.caliph_pious_samehigh_hist caliph_pious_nprevious interaction caliph_start_date_norm) ///
nomtitles substitute(\_ _) ///
indicate("Controls? = foreign_attacks nileshock") ///
coeflabel(1.caliph_pious_samehigh_hist "=1 if Caliph pious (\$\hat{c}_t\$)" ///
caliph_pious_nprevious "No. previous pious Caliphs (\$n^c_{t-1}\$)" ///
interaction "\$\hat{c}_t \times n^c_{t-1} \$" ///
caliph_start_date_norm "Caliph's start year") ///
order(1.caliph_pious_samehigh_hist caliph_pious_nprevious interaction caliph_start_date_norm) 
